---
updatedAt: 2025-10-09T17:29:26.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Update Subowner

### /api2/subowners/update

Modifies an existing subowner.

| Request Parameter | Type    | Description                                                                                                                                                                                                                                                                            |
| ----------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                | string  | Subowner ID                                                                                                                                                                                                                                                                            |
| password          | string  | (optional) New password to set  Do not use this password to authenticate a Live Slicer to your account. Please use an API key instead. Leverage this endpoint to only authorize this subowner to perform slicer-related actions by only granting the "slice" permission to a subowner. |
| permissions       | list    | (optional) Permissions granted to this subowner.                                                                                                                                                                                                                                       |
| newkey            | integer | (optional) Pass 1 to have the system generate a new secret API key.                                                                                                                                                                                                                    |

Response: See subowners/get API.

Sample request/response:

The `Call` function, which is imported from `API Auth` for V2 APIs (see below), prepares the message body and digital signature.

<TutorialTile
  backgroundColor="#055b96"
  emoji="🔓"
  id="67e1aab8839d83004dcf9173"
  link="https://docs.uplynk.com/v2.0/recipes/api-auth-for-classic-authentication-v2-apis"
  slug="api-auth-for-classic-authentication-v2-apis"
  title="API Auth for Classic Authentication (V2 APIs)"
/> 

```python
from uplynk_api2_auth import Call

print(Call('/api2/subowners/update', id='f534c6e0ebba4d70b2b4c31659e50952',
                               permissions=['slice'], newkey=1))
```

```json
{
  "username": "ptvn.dave",
  "permissions": [
    "slice"
  ],
  "api_key": "dDd3IAo63+IrP5TqRYRnH03gtdcsRpap5lpnlQ7G",
  "all_api_keys": {
    "dyWViZwTqm/etPT4SB0sTdfz2msh3D9u+iihl4dG": {
      "enabled": true
    },
    "a735c56ea4014685bc74c0a375236cc5": {
      "enabled": false
    }
  },
  "id": "f534c6e0ebba4d70b2b4c31659e50952",
  "error": 0
}
```